//
// $Id: snd.inc,v 1.12 2002/08/27 11:07:56 tom Exp $
//
#if defined _snd_included
  #endinput
#endif
#define _snd_included

native sndSePlay(no);
native sndBgmPlay(no);
native sndBgmStop(no);

native soundBgmLoadStart( const bd[], const hd[], const sq[] );
native soundBgmLoadSync();
native soundBgmPlay();
native soundBgmStop();
native soundBgmSeek(pos);
stock soundBgmLoadWait()
{
	for(;;){
		new ret = soundBgmLoadSync();
		if( ret != 0 ) return ret;
		sleep ;
	}
	return 0 ;
}

native soundSeLoadStart( const bd[], const hd[] );
native soundSeLoadSync();
native soundSePlay( node, velocity );
stock soundSeLoadWait()
{
	for(;;){
		new ret = soundSeLoadSync();
		if( ret != 0 ) return ret;
		sleep ;
	}
	return 0 ;
}

native soundGetInfo( id, buf[], bufsize=sizeof buf );
enum
{
	SOUND_INFO_BGM_BD_PATH = 0,
	SOUND_INFO_BGM_HD_PATH,
    SOUND_INFO_BGM_SQ_PATH,
    SOUND_INFO_SE_BD_PATH,
    SOUND_INFO_SE_HD_PATH,

    SOUND_INFO_BGM_STATE,
};

enum
{
    SOUND_BGM_STATE_STOP = 0,
};

enum
{
	SE_00 = 0,
	SE_01,
	SE_02,
	SE_03,
	SE_04,
	SE_05,
	SE_06,
	SE_07,
	SE_08,
	SE_09,

	SE_10,
	SE_11,
	SE_12,
	SE_13,
	SE_14,
	SE_15,
	SE_16,
	SE_17,
	SE_18,
	SE_19,

	SE_20,
	SE_21,
	SE_22,
	SE_23,
	SE_24,
	SE_25,
	SE_26,
	SE_27,
	SE_28,
	SE_29,

	SE_30,
	SE_31,
	SE_32,
	SE_33,
	SE_34,
	SE_35,
	SE_36,
	SE_37,
	SE_38,

	SE_NUM,
}

#define	SE_CURSOR		SE_05
#define	SE_DECIDE		SE_07
#define	SE_CANCEL		SE_08
#define	SE_COMPLETE		SE_09
#define	SE_FAILED		SE_10
#define	SE_GOSUB1		SE_15
#define	SE_GOSUB2		SE_16

#define	SE_CUBE_INTO	SE_23
#define	SE_CUBE_AWAY	SE_22
#define	SE_POP_SYSCNF	SE_21

#define	SE_SKB_OPEN		SE_30
#define	SE_SKB_OK		SE_07
#define	SE_SKB_CANCEL	SE_08

#define	SE_DLG_OPEN		SE_17
#define	SE_DLG_OK		SE_07
#define	SE_DLG_CANCEL	SE_08

enum
{
	BGM_0 = 0,
	BGM_1,
	BGM_2,
	BGM_3,
	BGM_4,
	BGM_5,
	BGM_6,
	BGM_7,

	BGM_NUM,
}

